Redmine - Defect #12309

rfpdf fails to include htmlentities gem, even when installed, thus potentially corrupting pdf output
2012-11-05 22:21 - C Tibirna

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

Situation:

)

redmine 1.4-stable of today (2012-11-05)
rfpdf as coming installed with redmine
htmlentities-4.3.1 installed

wiking r27

Symptoms:

¢ wiking has a few default behaviors for replacing quotes ("), short and long dashes with their htmlentities representations:

' i

o '=>
0 - =>—
0 mmm=> —

 rfpdf should convert these htmlentities back to UTF characters, but fails
¢ results a PDF output which, e.g. in French, it's barely readable ( "it's" ==> "it’s; "je I'ai" => "je 'ai") etc.

Investigation results:

¢ it came out that rfpdf fails to load the htmlentities gem. There is code to (optionnaly) do it in rfpdf/init.rb, but, even when
htmlentities is correctly installed, the loading of that module fails.
* in the local configuration, in order to load htmlentities as installed with gem, one has to

require 'rubygems'

require 'htmlentities'

</pre

Only the second is not enough.

Related issues:
Is duplicate of Redmine - Defect #13138: Generating PDF of issue causes Undef... Closed

History

#1 - 2012-11-06 00:34 - C Tibirna

Heh, the default html code conversion tricked me. Please read:

e ' => &rsquo;
e - => &ndash;
e - => &mdash;

results a PDF output which, e.g. in French, it's barely readable ( "it's" ==> "it&rsquo;s and "je 'ai" => "je |&rsquo;ai") etc.

#2 - 2012-11-06 21:13 - Jean-Philippe Lang

- Resolution set to Cant reproduce

C Tibirna wrote:
https://www.redmine.org/projects/redmine/repository/svn/revisions/27

wiking has a few default behaviors for replacing quotes ("), short and long dashes with their htmlentities representations

I'm not aware of that, do you use the default textile formetter?.
And does anybody reproduces this problem?

#3 - 2012-11-07 05:39 - C Tibirna

Oh, sorry, my bad. | managed to undertone a lot the fact that | am using the wiking plugin an this is the required first step.

But the bug is not the fault of wiking (it does its job as advertised). It's rfpdf that fails to decode html containing certain entities. Theoretically one can
write those entities by hand in a redmine wiki document (as | did in the initial report) and then, trying to save that wiki page to pdf will render it
"corrupted".

| wish and hope | did a better job at the rest of my report. Thanks for your understanding.

#4 - 2013-02-15 14:30 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Duplicate

As #13138#note-4, this issue is duplicate.
http://www.redmine.org/plugins/wiking
https://www.redmine.org/issues/13138#note-4
http://www.tcpdf.org

